WP3ExtendedCharacterGroup Class Reference documentation

WP3ExtendedCharacterGroup Class Reference

`#include <WP3ExtendedCharacterGroup.h>`

Inheritance diagram for WP3ExtendedCharacterGroup:

## Public Member Functions
| WP3ExtendedCharacterGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char groupID)
void | parse (WP3Listener *listener) override
Public Member Functions inherited from WP3FixedLengthGroup
| WP3FixedLengthGroup (const unsigned char groupID)
unsigned char | getGroup () const
Public Member Functions inherited from WP3Part
virtual | ~WP3Part ()

## Protected Member Functions
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
Protected Member Functions inherited from WP3FixedLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)

## Private Attributes
unsigned char | m_macCharacter
unsigned char | m_characterSet
unsigned char | m_character

## Additional Inherited Members
Static Public Member Functions inherited from WP3FixedLengthGroup
static WP3FixedLengthGroup * | constructFixedLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char const groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP3Part
static WP3Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)

## Constructor & Destructor Documentation

## ◆ WP3ExtendedCharacterGroup()

WP3ExtendedCharacterGroup::WP3ExtendedCharacterGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | groupID )

## Member Function Documentation

## ◆ _readContents()

void WP3ExtendedCharacterGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )
| overrideprotectedvirtual

Implements WP3FixedLengthGroup.

## ◆ parse()

void WP3ExtendedCharacterGroup::parse | ( | WP3Listener * | listener | ) |
| overridevirtual

Implements WP3Part.

## Member Data Documentation

## ◆ m_character

unsigned char WP3ExtendedCharacterGroup::m_character
| private

Referenced by _readContents(), parse(), and WP3ExtendedCharacterGroup().

## ◆ m_characterSet

unsigned char WP3ExtendedCharacterGroup::m_characterSet
| private

Referenced by _readContents(), parse(), and WP3ExtendedCharacterGroup().

## ◆ m_macCharacter

unsigned char WP3ExtendedCharacterGroup::m_macCharacter
| private

Referenced by _readContents(), parse(), and WP3ExtendedCharacterGroup().

The documentation for this class was generated from the following files:

- WP3ExtendedCharacterGroup.h
- WP3ExtendedCharacterGroup.cpp